package stx.libjava.tests.lang;

import static org.junit.Assert.*;

import java.lang.reflect.Method;

import org.junit.Test;

public class ReflectionTests {
	
	public Byte byte2Byte(byte b) {
		return new Byte(b);
	}
	
	@Test
	public void test_byte2Byte() {
		try {
			Method m;
			m = this.getClass().getMethod("byte2Byte", byte.class);			
			assertEquals(m.invoke(this, new Byte((byte)10)), new Byte((byte)10));
		} catch (Exception t) {
			t.printStackTrace(System.err);
			assertTrue("Exception", false);
		}
	}
	
	public Short short2Short(short b) {
		return new Short(b);
	}
	
	@Test
	public void test_short2Short() {
		try {
			Method m;
			m = this.getClass().getMethod("short2Short", short.class);			
			assertEquals(m.invoke(this, new Short((short)10)), new Short((short)10));
		} catch (Exception t) {
			t.printStackTrace(System.err);
			assertTrue("Exception", false);
		}
	}

	public Integer int2Integer(int i) {
		return new Integer(i);
	}
	
	@Test
	public void test_int2Integer() {
		try {
			Method m;
			m = this.getClass().getMethod("int2Integer", int.class);			
			assertEquals(m.invoke(this, new Integer(10)), new Integer(10));
		} catch (Exception t) {
			t.printStackTrace(System.err);
			assertTrue("Exception", false);
		}
	}	


        public Long long2Long(long i) {
                return new Long(i);
        }
        
        @Test
        public void test_int2Long() {
                try {
                        Method m;
                        m = this.getClass().getMethod("long2Long", long.class);                        
                        assertEquals(m.invoke(this, new Long(10)), new Long(10));
                } catch (Exception t) {
                        t.printStackTrace(System.err);
                        assertTrue("Exception", false);
                }
        }

        public Float float2Float(float i) {
                return new Float(i);
        }
        
        @Test
        public void test_float2Float() {
                try {
                        Method m;
                        m = this.getClass().getMethod("float2Float", float.class);                        
                        assertEquals(m.invoke(this, new Float(10.1)), new Float(10.1));
                } catch (Exception t) {
                        t.printStackTrace(System.err);
                        assertTrue("Exception", false);
                }
        }       

        public Double double2double(double i) {
                return new Double(i);
        }
        
        @Test
        public void test_double2double() {
                try {
                        Method m;
                        m = this.getClass().getMethod("double2double", double.class);                        
                        assertEquals(m.invoke(this, new Double(10.1)), new Double(10.1));
                } catch (Exception t) {
                        t.printStackTrace(System.err);
                        assertTrue("Exception", false);
                }
        }       


        public Boolean boolean2Boolean(boolean i) {
                return new Boolean(i);
        }
        
        @Test
        public void test_boolean2Boolean() {
                try {
                        Method m;
                        m = this.getClass().getMethod("boolean2Boolean", boolean.class);                        
                        assertEquals(m.invoke(this, new Boolean(true)), new Boolean(true));
                } catch (Exception t) {
                        t.printStackTrace(System.err);
                        assertTrue("Exception", false);
                }
        }       

        public Character char2Character(char i) {
                return new Character(i);
        }
        
        @Test
        public void test_char2Character() {
                try {
                        Method m;
                        m = this.getClass().getMethod("char2Character", char.class);                        
                        assertEquals(m.invoke(this, new Character('a')), new Character('a'));
                } catch (Exception t) {
                        t.printStackTrace(System.err);
                        assertTrue("Exception", false);
                }
        }       
}
